Option Strict Off
Option Explicit On

Friend Class Swimmer
  Private frname, lname As String
  Private club As String
  Private age As Short
  Private tms As Times = New Times()
  Private place As Short

  Public Sub init(ByRef dataline As String)
    Dim tok As New StringTokenizer(dataline)

    place = Val(tok.nextToken)    'pobierz zajęte miejsce
    frname = tok.nextToken        'pobierz imię
    lname = tok.nextToken         'pobierz nazwisko
    age = Val(tok.nextToken)      'pobierz wiek
    club = tok.nextToken          'pobierz nazwę klub
    tms.setText(tok.nextToken)    'pobierz czas
  End Sub

  Public Function getTime() As String
    getTime = tms.getFormatted
  End Function

  Public Function getName() As String
    'udostępnij imię i nazwisko
    getName = frname & " " & lname
  End Function

  Public Function getAge() As Short
    getAge = age
  End Function

  Public Function getClub() As String
    getClub = club
  End Function

End Class